<?php
/**
 * cms_template_const.php - File to store all the template constants
 * 								 Any template type has to be defined here.
 * 								 Please reference the types in the templates by using these constants.
 * 								 Have to stop using different constants in each template
 *
 * @author $Author: dtong $
 * @version $Id: cms_template_const.php,v 1.9 2011/04/27 05:46:27 dtong Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/

	//Template types goes here.
	//These types should not be in any code this generic like most of the template code
	////////////////////////////////////////////////////////////////////////////////

	// resource type
	define ('CMS_ENDURING_RES_TYPE'			, 1);
 	define ('CMS_MISUNDERSTANDINGS_TYPE'	, 2);
	define ('CMS_ASSESSMENT_TYPE'			, 3);
	define ('CMS_ASSESSMENT_UPLOAD_TYPE'	, 4);
	define ('CMS_LEARNING_TYPE'				, 5);
	define ('CMS_LEARNING_UPLOAD_TYPE'	 	, 6);
	define ('CMS_ESSENTIAL_QUESTION_TYPE'	, 7);
	define ('CMS_ITSTANDARDS_TYPE'		 	, 8);
	define ('CMS_TEACHER_EQ_TYPE'		   	, 9);
 	define ('CMS_REFLECTIONS_TYPE'		   	, 10);
	define ('CMS_LEARNING_TARGETS_TYPE'	   	, 11);
	define ('CMS_ITSTANDARDS_RESOURCE_TYPE'	, 12); //IT STD upload resource type
	define ('CMS_SUBJECTAREA_LEARNING_ST'	, 13);
	define ('CMS_OUTCOMES_SKILLS_TYPE'		, 14);

	//Duplicated types, who put this in?
	/*
	define ('ENDURING_RES_TYPE'      	, 1);
	define ('ASSESSMENT_TYPE'        	, 3);
	define ('ASSESSMENT_UPLOAD_TYPE' 	, 4);
	define ('LEARNING_TYPE'			 	, 5);
	define ('LEARNING_UPLOAD_TYPE'   	, 6);
	define ('ESSENTIAL_QUESTION_TYPE'	, 7);
	define ('ITSTANDARDS_TYPE'       	, 8);
	define ('TEACHER_EQ_TYPE'        	, 9);
	define ('LEARNING_TARGETS_TYPE'     , 11);
	define ('ITSTANDARDS_RESOURCE_TYPE' , 12);
	define ('OUTCOMES_SKILLS_TYPE'      , 14);
	*/
	define ('CMS_PYP15_TYPE', 15);
	define ('CMS_PYP16_TYPE', 16);
	define ('CMS_PYP17_TYPE', 17);
	define ('CMS_PYP18_TYPE', 18);
	define ('CMS_PYP19_TYPE', 19);
	define ('CMS_PYP20_TYPE', 20);
	define ('CMS_PYP21_TYPE', 21);
	define ('CMS_PYP22_TYPE', 22);
	define ('CMS_PYP23_TYPE', 23);
	define ('CMS_PYP24_TYPE', 24);
	define ('CMS_PYP25_TYPE', 25);
	define ('CMS_PYP26_TYPE', 26);
	define ('CMS_PYP27_TYPE', 27);
	define ('CMS_PYP28_TYPE', 28);
	define ('CMS_PYP29_TYPE', 29);
	define ('CMS_PYP30_TYPE', 30);
	define ('CMS_PYP31_TYPE', 31);
	define ('CMS_PYP32_TYPE', 32);
	define ('CMS_PYP33_TYPE', 33);
	define ('CMS_PYP34_TYPE', 34);
	define ('CMS_PYP35_TYPE', 35);
	define ('CMS_PYP36_TYPE', 36);
	define ('CMS_PYP37_TYPE', 37);
	define ('CMS_PYP38_TYPE', 38);
	// MYP
	define ('CMS_MYP39_TYPE' , 39);
	define ('CMS_MYP40_TYPE' , 40);

	/////////////////////////////////////////////////////////////////////////////
	////////////////////////////////////////////////
	//TODO: Conflict types here
	define ('CMS_TAIL_TYPE' , 41);
	define ('CMS_GLOBAL_CITIZEN_TYPE' , 42);
	define ('CMS_TAIL_UPLOAD_TYPE' , 43);
	define ('CMS_GLOBAL_CITIZEN_UPLOAD_TYPE' , 44);
	define ('CMS_RESOURCE_UPLOAD_TYPE' , 45);
	define ('CMS_SUB_RESOURCE_UPLOAD_TYPE' , 46);

	/////////////////////////////////////////////////
	//Conflict types here against gc, tail types above
	/*
	define ('CMS_MYP41_TYPE' , 41);
	define ('CMS_MYP42_TYPE' , 42);
	define ('CMS_MYP43_TYPE' , 43);
	define ('CMS_MYP44_TYPE' , 44);
	define ('CMS_MYP45_TYPE' , 45);
	define ('CMS_MYP46_TYPE' , 46); */
	////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////

	define ('CMS_MYP47_TYPE' , 47);
	define ('CMS_MYP48_TYPE' , 48);
	define ('CMS_MYP49_TYPE' , 49);
	define ('CMS_MYP50_TYPE' , 50);
	define ('CMS_MYP51_TYPE' , 51);
	define ('CMS_MYP52_TYPE' , 52);
	define ('CMS_IBLP_TYPE' , 53);

	//ZMS GOAL TYPE
	define ('CMS_GOAL_CHANGE_TYPE' , 54);
	define ('CMS_GOAL_STUDENT_LEARNING_TYPE' , 55);
	define ('CMS_GOAL_SUPPORT_TYPE' , 56);
	define ('CMS_GOAL_EVIDENCE_TYPE' , 57);
	define ('CMS_GOAL_SHARE_TYPE' , 58);
	define ('CMS_GOAL_EFFECT_TYPE' , 59);
	define ('CMS_GOAL_COLLABORATION_TYPE' , 60);
	define ('CMS_GOAL_TIMELINE_TYPE' , 61);
	define ('CMS_GOAL_DATE_TEACHER_TYPE' , 62);
	define ('CMS_GOAL_DATE_APPRAISER_TYPE' , 63);

	//New type for conflict types above
	define ('CMS_MYP41_TYPE' , 64);  //For old myp 41
	define ('CMS_MYP42_TYPE' , 65);
	define ('CMS_MYP43_TYPE' , 66);
	define ('CMS_MYP44_TYPE' , 67);
	define ('CMS_MYP45_TYPE' , 68);
	define ('CMS_MYP46_TYPE' , 69); //For old myp 46

	define('CMS_GOAL_REFLECTION_TYPE',70);
	define ('CMS_SURVEY_TYPE' , 71);
	define('CMS_TEMPLATE_GOAL_1', 72);
	define('CMS_TEMPLATE_GOAL_2', 73);
	define('CMS_TEMPLATE_GOAL_3', 74);
	define('CMS_TEMPLATE_GOAL_4', 75);
	define('CMS_TEMPLATE_GOAL_5', 76);
	define('CMS_TEMPLATE_GOAL_6', 77);
	define('CMS_TEMPLATE_GOAL_7', 78);
	define('CMS_TEMPLATE_GOAL_8', 79);
	define('CMS_TEMPLATE_GOAL_9', 80);
	define('CMS_TEMPLATE_GOAL_10', 81);
	define('CMS_TEMPLATE_GOAL_11', 82);
	define('CMS_TEMPLATE_GOAL_12', 83);
	define('CMS_TEMPLATE_GOAL_13', 84);
	define('CMS_TEMPLATE_GOAL_14', 85);
	define('CMS_TEMPLATE_GOAL_15', 86);
	define('CMS_TEMPLATE_GOAL_16', 87);
	define('CMS_TEMPLATE_GOAL_17', 88);
	define('CMS_TEMPLATE_GOAL_18', 89);
	define('CMS_TEMPLATE_GOAL_19', 90);
	define('CMS_TEMPLATE_GOAL_20', 91);
	define('CMS_TEMPLATE_GOAL_21', 92);
	define('CMS_TEMPLATE_GOAL_22', 93);
	define('CMS_TEMPLATE_GOAL_23', 94);
	define('CMS_TEMPLATE_GOAL_24', 95);
	define('CMS_TEMPLATE_GOAL_25', 96);
	define('CMS_TEMPLATE_GOAL_26', 97);
	define('CMS_TEMPLATE_GOAL_27', 98);
	define('CMS_TEMPLATE_GOAL_28', 99);
	define('CMS_TEMPLATE_GOAL_29', 100);
	define('CMS_TEMPLATE_GOAL_30', 101);
	define('CMS_TEMPLATE_GOAL_31', 102);
	define('CMS_TEMPLATE_GOAL_32', 103);
	define('CMS_TEMPLATE_GOAL_33', 104);
	define('CMS_TEMPLATE_GOAL_34', 105);
	define('CMS_TEMPLATE_GOAL_35', 106);
	define('CMS_TEMPLATE_GOAL_36', 107);
	define('CMS_TEMPLATE_GOAL_37', 108);
	define('CMS_TEMPLATE_GOAL_38', 109);
	define('CMS_TEMPLATE_GOAL_39', 110);
	define('CMS_TEMPLATE_GOAL_40', 111);
	define('CMS_TEMPLATE_GOAL_41', 112);
	define('CMS_TEMPLATE_GOAL_42', 113);
	define('CMS_TEMPLATE_GOAL_43', 114);
	define('CMS_TEMPLATE_GOAL_44', 115);
	define('CMS_TEMPLATE_GOAL_45', 116);
	define('CMS_TEMPLATE_GOAL_46', 117);
	define('CMS_TEMPLATE_GOAL_47', 118);
	define('CMS_TEMPLATE_GOAL_48', 119);
	define('CMS_TEMPLATE_GOAL_49', 120);
	define('CMS_TEMPLATE_GOAL_50', 121);
	define('CMS_TEMPLATE_GOAL_51', 122);
	define('CMS_TEMPLATE_GOAL_52', 123);
	define('CMS_TEMPLATE_GOAL_53', 124);
	define('CMS_TEMPLATE_GOAL_54', 125);
	define('CMS_TEMPLATE_GOAL_55', 126);
	define('CMS_TEMPLATE_GOAL_56', 127);
	define('CMS_TEMPLATE_GOAL_57', 128);
	define('CMS_TEMPLATE_GOAL_58', 129);
	define('CMS_TEMPLATE_GOAL_59', 130);
	define('CMS_TEMPLATE_GOAL_60', 131);
	define('CMS_TEMPLATE_GOAL_61', 132);
	define('CMS_TEMPLATE_GOAL_62', 133);
	define('CMS_TEMPLATE_GOAL_63', 134);
	define('CMS_TEMPLATE_GOAL_64', 135);
	define('CMS_TEMPLATE_GOAL_65', 136);
	define('CMS_TEMPLATE_GOAL_66', 137);
	define('CMS_TEMPLATE_GOAL_67', 138);
	define('CMS_TEMPLATE_GOAL_68', 139);
	define('CMS_TEMPLATE_GOAL_69', 140);
	define('CMS_TEMPLATE_GOAL_70', 141);
	define('CMS_TEMPLATE_GOAL_71', 142);
	define('CMS_TEMPLATE_GOAL_72', 143);
	define('CMS_TEMPLATE_GOAL_73', 144);
	define('CMS_TEMPLATE_GOAL_74', 145);
	define('CMS_TEMPLATE_GOAL_75', 146);
	define('CMS_TEMPLATE_GOAL_76', 147);
	define('CMS_TEMPLATE_GOAL_77', 148);
	define('CMS_TEMPLATE_GOAL_78', 149);
	define('CMS_TEMPLATE_GOAL_79', 150);
	define('CMS_TEMPLATE_GOAL_80', 151);
	define('CMS_TEMPLATE_GOAL_81', 152);
	define('CMS_TEMPLATE_GOAL_82', 153);
	define('CMS_TEMPLATE_GOAL_83', 154);
	define('CMS_TEMPLATE_GOAL_84', 155);
	define('CMS_TEMPLATE_GOAL_85', 156);
	define('CMS_TEMPLATE_GOAL_86', 157);

	define('CMS_TEMPLATE_UBD_1', 158);
	define('CMS_TEMPLATE_UBD_2', 159);
	define('CMS_TEMPLATE_UBD_3', 160);
	define('CMS_TEMPLATE_UBD_4', 161);
	define('CMS_TEMPLATE_UBD_5', 162);
	define('CMS_TEMPLATE_UBD_6', 163);
	define('CMS_TEMPLATE_UBD_7', 164);
	define('CMS_TEMPLATE_UBD_8', 165);
	define('CMS_TEMPLATE_UBD_9', 166);
	define('CMS_TEMPLATE_UBD_10', 167);
	define('CMS_TEMPLATE_UBD_11', 168);
	define('CMS_TEMPLATE_UBD_12', 169);
	define('CMS_TEMPLATE_UBD_13', 170);
	define('CMS_TEMPLATE_UBD_14', 171);
	define('CMS_TEMPLATE_UBD_15', 172);
	define('CMS_TEMPLATE_UBD_16', 173);
	define('CMS_TEMPLATE_UBD_17', 174);
	define('CMS_TEMPLATE_UBD_18', 175);
	define('CMS_TEMPLATE_UBD_19', 176);
	define('CMS_TEMPLATE_UBD_20', 177);
	define('CMS_TEMPLATE_SYSTEM_COURSE_DESC', 178);
	define('CMS_TEMPLATE_SYSTEM_SITE_RESOURCES', 179);
	define ('CMS_SURVEY_TYPE2' , 180);
	define('CMS_TEMPLATE_GOAL_87', 181);
	define('CMS_TEMPLATE_GOAL_88', 182);
	define('CMS_TEMPLATE_GOAL_89', 183);
	define('CMS_TEMPLATE_GOAL_90', 184);
	define('CMS_TEMPLATE_GOAL_91', 185);

	define('CMS_ADMIN_COMMENT_TYPE', 186);

	////////////////////////////////////////////////////////////////////////////////////
	//These types will need to be cleaned up
	//Please add new types aobve

	//TODO: These sort types resulted from very bad sorting code. Have to clean up
		//define code sort=5xx , xx is typeid
	define ('CMS_SORT_LT_COURSE', 501);	   // Target Edit  - Learning Targets
	define ('CMS_SORT_EU_UNIT'  , 511); 	// Unit Stage 1 - Enduring Understandings
	define ('CMS_SORT_EQ_UNIT'  , 512); 	// Unit Stage 1 - Essential Questions
	define ('CMS_SORT_LT_UNIT'  , 514); 	// Unit Stage 1 - Learning Targets
	define ('CMS_SORT_IT_UNIT'  , 515); 	// Unit Stage 1 - It Standards

	define ('CMS_SORT_AE_UNIT'  , 521);   	// Unit Stage 2 - Assessment Evidence
	define ('CMS_SORT_LA_UNIT'  , 531);	   // Unit Stage 3 - Learning Activities
	define ('CMS_SORT_RESOURCE' , 550);		// Unit + Resource

	define ('CMS_SORT_OS_COURSE', 601);	   // Target Edit  - Outcome Skill
	define ('CMS_SORT_OS_UNIT'  , 614);		// Unit Stage 1 - Outcome Skill
	//define ('CMS_SORT_PYP_KEY_CONCEPT', 615); //PYP Stage 2
	define ('CMS_SORT_GOAL_RESOURCE'  , 5001);

	//define ('CMS_START_GOAL_TYPE', 5001);
	define ('CMS_GOAL5001_TYPE' , 5001);
	define ('CMS_GOAL5002_TYPE' , 5002);
	define ('CMS_GOAL5003_TYPE' , 5003);
	define ('CMS_GOAL5004_TYPE' , 5004);
	define ('CMS_GOAL5005_TYPE' , 5005);
	define ('CMS_GOAL5006_TYPE' , 5006);
	define ('CMS_GOAL5007_TYPE' , 5007);
	define ('CMS_GOAL5008_TYPE' , 5008);
	define ('CMS_GOAL5009_TYPE' , 5009);
	define ('CMS_GOAL5010_TYPE' , 5010);
	define ('CMS_GOAL5011_TYPE' , 5011);
	define ('CMS_GOAL5012_TYPE' , 5012);
	define ('CMS_GOAL5013_TYPE' , 5013);
	define ('CMS_GOAL5014_TYPE' , 5014);
	define ('CMS_GOAL5015_TYPE' , 5015);
	//////////////////////////////////////////////////////////////////////
